apiVersion: apps/v1
kind: Deployment
metadata:
    name: counter
spec:
    selector:
        matchLabels:
            app: counter
    replicas: 1
    template:
        metadata:
            labels:
                app: counter
        spec:
            containers:
            - name: web
              image: counter
              imagePullPolicy: IfNotPresent
              ports:
              - containerPort: 80
                name: webport
